*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Georgia, serif;
}

body{
    height:100vh;

    background:url('../img/bgregister.jpg');
    background-size:cover;
    background-position:center;

    

    display:flex;
    justify-content:center;
    align-items:center;
     filter: brightness(-10.-10) contrast(-7.-5) saturate(1.10);
     
}

.register-container{
    width:100%;
    display:flex;
    justify-content:center;
    align-items:center;
}

.register-box{
    width:95%;
    max-width:850px;
    margin:auto;
    margin-top:50px;

    background:rgba(255,255,255,.15);

    backdrop-filter:blur(15px);
    -webkit-backdrop-filter:blur(15px);

    border:1px solid rgba(255,255,255,.2);

    border-radius:25px;

    padding:40px;

    box-shadow:0 8px 25px rgba(0,0,0,.25);
}


.register-box h1{
    text-align:center;
    color:rgb(0, 0, 0);
    font-size:55px;
    margin-bottom:10px;
}

.register-subtitle{
    text-align:center;
    color:rgb(0, 0, 0);
    margin-bottom:30px;
}

.form-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:20px;
}

.input-group{
    display:flex;
    flex-direction:column;
}

.input-group label{
    color:rgb(0, 0, 0);
    font-weight:600;
    margin-bottom:6px;
}

.input-group input,
.input-group select{
    padding:12px;
    border:none;
    border-radius:10px;
    background:rgba(255,255,255,.9);
    font-size:15px;
}

.terms-box{
    display:flex;
    justify-content:center;
    align-items:center;
    margin-top:15px;
    margin-bottom:15px;
    text-align:center;
}

.terms-box a{
    color:#ffd700;
    text-decoration:none;
    text-align: center;
}

.register-btn{
    width:100%;
    padding:14px;
    border:none;
    border-radius:12px;
    background:#800000;
    color:white;
    font-size:16px;
    font-weight:bold;
    cursor:pointer;
    transition:.3s;
}

.register-btn:hover{
    background:#a00000;
    transform:translateY(-2px);
}

.overlay{

    animation: fadeInUp 1s ease;
}

.login-link{
    text-align:center;
    margin-top:15px;
    color:white;
}

.login-link a{
    color:#ffd700;
    text-decoration:none;
    font-weight:bold;
}
.password-box{
    position:relative;
}

.password-box input{
    width:100%;
    padding:12px;
    border:none;
    border-radius:10px;
}

.toggle-password{
    position:absolute;
    right:15px;
    top:50%;
    transform:translateY(-50%);
    cursor:pointer;
    font-size:18px;
}

#password-message{
    margin-top:5px;
    font-size:14px;
    font-weight:bold;
}

/* Animation */

@keyframes fadeInUp{

    from{
        opacity:0;
        transform:translateY(40px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }

}